Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(39)

Issue 699083004: Set ZERO_AR_DATE=1 when running libtool. (Closed)

Created:
3 years, 8 months ago by M-A Ruel
Modified:
3 years, 8 months ago
Reviewers:
Nico
CC:
gyp-developer_googlegroups.com, Sébastien Marchand, Robert Sesek
Visibility:
Public.

Description

Set ZERO_AR_DATE=1 when running libtool. Ref: http://www.opensource.apple.com/source/cctools/cctools-809/misc/libtool.c Adhoc testing with base_unittests reduced non-deterministic bytes from ~2347 to ~174. It's definitely the lowest hanging fruit, which will permit us to focus on the remaining bytes. R=thakis@chromium.org BUG=chromium:330262 Committed: https://code.google.com/p/gyp/source/detail?r=1998

Patch Set 1 #

Patch Set 2 : Explains the issue #

Patch Set 3 : Working hack #

Total comments: 2

Patch Set 4 : Now with test #

Patch Set 5 : Better test #

Total comments: 1

Patch Set 6 : Remove the assert as it triggers with gyptest-product #

Unified diffs Side-by-side diffs Delta from patch set Stats (+29 lines, -9 lines) Patch
M pylib/gyp/mac_tool.py View 1 2 3 4 5 1 chunk +15 lines, -1 line 0 comments Download
A + test/mac/gyptest-libtool-zero.py View 1 2 3 4 2 chunks +10 lines, -4 lines 0 comments Download
A + test/mac/libtool-zero/mylib.c View 1 2 3 1 chunk +2 lines, -2 lines 0 comments Download
A + test/mac/libtool-zero/test.gyp View 1 2 3 1 chunk +2 lines, -2 lines 0 comments Download

Messages

Total messages: 26 (6 generated)
M-A Ruel
3 years, 8 months ago (2014-11-04 18:15:53 UTC) #1
Nico
Do you know if this date is used for anything? Like, maybe incremental writing of ...
3 years, 8 months ago (2014-11-04 18:31:43 UTC) #2
M-A Ruel
On 2014/11/04 18:31:43, Nico wrote: > Do you know if this date is used for ...
3 years, 8 months ago (2014-11-04 19:04:25 UTC) #3
Nico
I guess the interesting bit is "in a static build, touch a single file that ...
3 years, 8 months ago (2014-11-04 19:27:45 UTC) #4
Nico
> …I guess I can patch this in myself and check, one sec… …actually, senorblanco ...
3 years, 8 months ago (2014-11-04 19:28:46 UTC) #5
M-A Ruel
On 2014/11/04 19:28:46, Nico wrote: > > …I guess I can patch this in myself ...
3 years, 8 months ago (2014-11-04 19:39:05 UTC) #6
M-A Ruel
On 2014/11/04 19:39:05, M-A Ruel wrote: > On 2014/11/04 19:28:46, Nico wrote: > > > ...
3 years, 8 months ago (2014-11-04 19:53:27 UTC) #7
Nico
Eww, but since gyp controls the libtool line I guess it's fine. Please add a ...
3 years, 8 months ago (2014-11-04 20:46:09 UTC) #8
M-A Ruel
https://codereview.chromium.org/699083004/diff/40001/pylib/gyp/mac_tool.py File pylib/gyp/mac_tool.py (right): https://codereview.chromium.org/699083004/diff/40001/pylib/gyp/mac_tool.py#newcode237 pylib/gyp/mac_tool.py:237: # Inconditionally touch any file .a file on the ...
3 years, 8 months ago (2014-11-05 02:51:05 UTC) #9
Nico
lgtm This is looking great, thanks :-) Let's land it and see if it breaks ...
3 years, 8 months ago (2014-11-05 07:10:15 UTC) #10
Nico
(+rsesek who sometimes spelunks in this areas and might think that this is cute. Also, ...
3 years, 8 months ago (2014-11-05 07:11:20 UTC) #11
commit-bot: I haz the power
Commit queue rejected this change because it did not recognize the base URL. Please commit ...
3 years, 8 months ago (2014-11-05 11:24:44 UTC) #16
commit-bot: I haz the power
Commit queue rejected this change because it did not recognize the base URL. Please commit ...
3 years, 8 months ago (2014-11-05 12:54:59 UTC) #19
M-A Ruel
I ran git cl try but no job started. Oops. I happen to be a ...
3 years, 8 months ago (2014-11-05 13:09:19 UTC) #20
M-A Ruel
http://build.chromium.org/p/tryserver.nacl/builders/gyp-android/builds/1076 blew up http://build.chromium.org/p/tryserver.nacl/builders/gyp-win32/builds/1962 green http://build.chromium.org/p/tryserver.nacl/builders/gyp-linux/builds/1888 green http://build.chromium.org/p/tryserver.nacl/builders/gyp-mac/builds/1916 ninja Failed the following 2 tests: test/mac/gyptest-archs.py ...
3 years, 8 months ago (2014-11-05 14:43:16 UTC) #21
M-A Ruel
Fixed test/product/gyptest-product.py because it does: test.built_file_must_exist(test.dll_ + 'hello5.stuff', test.SHARED_LIB, bare=True) test.built_file_must_exist('yoalt6.stuff', test.SHARED_LIB, bare=True) which explicitly ...
3 years, 8 months ago (2014-11-05 14:50:02 UTC) #22
M-A Ruel
On 2014/11/05 14:50:02, M-A Ruel wrote: > Fixed test/product/gyptest-product.py because it does: > test.built_file_must_exist(test.dll_ + ...
3 years, 8 months ago (2014-11-05 19:10:15 UTC) #23
Nico
still lgtm What does the test fail with for you locally? What happens when you ...
3 years, 8 months ago (2014-11-05 19:13:15 UTC) #24
M-A Ruel
On 2014/11/05 19:13:15, Nico wrote: > still lgtm Thanks > What does the test fail ...
3 years, 8 months ago (2014-11-05 19:16:44 UTC) #25
M-A Ruel
3 years, 8 months ago (2014-11-05 20:00:36 UTC) #26
Message was sent while issue was closed.
Committed patchset #6 (id:100001) manually as 1998 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698